Status: Closed   

Priority: Normal   

Category:    

Customer: AUDI Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ACO

RE-9692

Department: EF Affected Products: ADTF 3.3.3

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 2nd Level Topic: ADTF::CE

Resolution: Product Issue Opened FAQ Links:  

Description

Support Anfrage:

ADTF3 ist ziemlich empfindlich, was die Runlevel von Services angeht.

Um Probleme zu analysieren, ändere ich gelegentlich das Runlevel eines einzelnen Services.

Das verändert ggf. offenbar stillschweigend das Runlevel anderer Services.

Wenn die Konfiguration dann ein unerwünschtes Verhalten zeigt und ich die Änderungen rückgängig machen will, muss ich aber

nicht nur meine manuellen Änderungen rückgängig machen, sondern auch die automatischen von denen ich nur durch

TortoiseMerge erfahre.

Ich wünsche mir an der Stelle mehr Transparenz, d.h. ich möchte leicht nachvollziehen können, welche impliziten Auswirkungen eine

manuelle Änderung hat.

Ich konnte leider noch nicht reproduzieren, wann sich Runlevel anderer Services implizit ändern.

Ebenso wenig konnte ich prüfen, ob der Undo Button neben der manuellen Änderung auch die impliziten rückgängig macht.

UPDATE:

Ich glaube, es handelt sich um einen Bedienungsfehler, der mir nicht aufgefallen ist.

Ich wollte im Baum des SystemEditors scrollen. Wenn die Maus dabei zufällig über die Dropdown-Widgets der Runlevel kommt,

werden die Runlevel versehentlich geändert.

Die Rückmeldung dazu ist aber so marginal, dass mir das in dem Moment gar nicht bewusst war.

Idee: Entweder stärkeres Feedback geben, dass gerade eine Änderung passiert oder das Ändern des Runlevels via Mausrad erst

erlauben, wenn man das Widget per Mausklick selektiert hat.

Lösung:

Das Verhalten (Änderung per Mausrad im CE) kann klar nachvollzogen werden.

Es wurde hierzu ein Produkt-Ticket (Change) erstellt. ACORE-9692 CE SystemEditor: Change runlevel of services should only be

possible by selecting widget

History

#1 - 2018-09-26 10:56 - hidden

- Project changed from Public Support to 11

- Topic set to ADTF::Common

- Customer set to AUDI

- Department set to EF

- Affected Products ADTF 3.3.3 added

#2 - 2018-09-26 14:53 - hidden

- Status changed from New to Customer Feedback Required

- Resolution set to Product Issue Opened
- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9692

- Support Level changed from 2nd Level to 3rd Level

- Platform Windows 7 64bit added

Hallo Jens,

kurzfristig können wir das leider nicht klären.

Nach Rücksprache mit der Entwicklung haben wir für diese Anfrage das (Change) Produkt-Ticket ACORE-9692 erstellt, um das Problem damit in der

Tiefe nachzuvollziehen.

Wenn Du doch noch einen Ansatz hast um das Verhalten zu reproduzieren oder aber zusätzliche Information bei welcher Gelegenheit dies

aufgetreten ist, bitte hier im Ticket hinterlegen.

Wir ergänzen dies dann noch im Produkt-Ticket.

Können wir das Support Ticket damit zunächst wieder schließen?

#3 - 2018-09-26 15:05 - hidden

Ich glaube, es handelt sich um einen Bedienungsfehler, der mir nicht aufgefallen ist.

Ich wollte im Baum des SystemEditors scrollen. Wenn die Maus dabei zufällig über die Dropdown-Widgets der Runlevel kommt, werden die Runlevel

versehentlich geändert.

Die Rückmeldung dazu ist aber so marginal, dass mir das in dem Moment gar nicht bewusst war.

Idee: Entweder stärkeres Feedback geben, dass gerade eine Änderung passiert oder das Ändern des Runlevels via Mausrad erst erlauben, wenn

man das Widget per Mausklick selektiert hat.

#4 - 2018-09-27 08:55 - hidden

Hallo Jens,

danke für das Update/Feedback.

Das Verhalten kann ich natürlich ganz klar nachvollziehen.

Ich werde das Produktticket dahingehend abändern!

Gruß

Matthias

#5 - 2018-09-27 09:12 - hidden

- Support Level changed from 3rd Level to 2nd Level

Produktticket wurde geändert/anpasst.

ACORE-9692:CE SystemEditor: Change runlevel of services should only be possible by selecting widget

Können wir das Support Ticket damit schließen?

Die weitere Bearbeitung läuft wieder über das Produktticket.

#6 - 2018-09-27 09:17 - hidden

passt, kann geschlossen werden.

Danke :)

#7 - 2018-09-27 10:34 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Topic changed from ADTF::Common to ADTF::CE

#8 - 2018-10-09 13:19 - hidden

- Project changed from 11 to Public Support

- Status changed from To Be Closed to Closed

- Private changed from Yes to No

#9 - 2020-07-07 17:17 - hidden

- Description updated
